package sma.ep2.beans.fachada.vo;

import java.io.Serializable;
import java.util.List;

public class AlunoValueObject implements Serializable
{

   private static final long serialVersionUID = 6918635095589321594L;

   private Integer numeroUsp;

   private String nome;

   private String curso;

   private String email;

   private List disciplinasDoAluno;

   // Construtor ------------------------------------------------------------
   public AlunoValueObject(Integer numeroUsp, String nome, String curso, String email,
         List disciplinasDoAluno)
   {
      this.numeroUsp = numeroUsp;
      this.nome = nome;
      this.curso = curso;
      this.email = email;
      this.disciplinasDoAluno = disciplinasDoAluno;
   }

   // Getters e setters -----------------------------------------------------
   public String getCurso()
   {
      return curso;
   }

   public void setCurso(String curso)
   {
      this.curso = curso;
   }

   public String getEmail()
   {
      return email;
   }

   public void setEmail(String email)
   {
      this.email = email;
   }

   public String getNome()
   {
      return nome;
   }

   public void setNome(String nome)
   {
      this.nome = nome;
   }

   public Integer getNumeroUsp()
   {
      return numeroUsp;
   }

   public void setNumeroUsp(Integer numeroUsp)
   {
      this.numeroUsp = numeroUsp;
   }

   public List getDisciplinasDoAluno()
   {
      return disciplinasDoAluno;
   }

   public void setDisciplinasDoAluno(List disciplinasDoAluno)
   {
      this.disciplinasDoAluno = disciplinasDoAluno;
   }

}
