package sma.ep2.beans.fachada.vo;

import java.io.Serializable;
import java.util.List;

public class DisciplinaValueObject implements Serializable
{

   private static final long serialVersionUID = 4331771551717738303L;

   private String sigla;

   private String nome;

   private String professor;

   private String horario;

   private List alunosDaDisciplina;

   // Construtor ------------------------------------------------------------
   public DisciplinaValueObject(String sigla, String nome, String professor, String horario,
         List alunosDaDisciplina)
   {
      super();
      this.sigla = sigla;
      this.nome = nome;
      this.professor = professor;
      this.horario = horario;
      this.alunosDaDisciplina = alunosDaDisciplina;
   }

   // Getters e setters -----------------------------------------------------
   public String getHorario()
   {
      return horario;
   }

   public void setHorario(String horario)
   {
      this.horario = horario;
   }

   public String getNome()
   {
      return nome;
   }

   public void setNome(String nome)
   {
      this.nome = nome;
   }

   public String getProfessor()
   {
      return professor;
   }

   public void setProfessor(String professor)
   {
      this.professor = professor;
   }

   public String getSigla()
   {
      return sigla;
   }

   public void setSigla(String sigla)
   {
      this.sigla = sigla;
   }

   public List getAlunosDaDisciplina()
   {
      return alunosDaDisciplina;
   }

   public void setAlunosDaDisciplina(List alunosDaDisciplina)
   {
      this.alunosDaDisciplina = alunosDaDisciplina;
   }

}
